import xpress as xp

m = xp.problem()
m.read("debug.mps")

print("Set presolve to 1")
m.setControl('presolve',1)
m.optimize()
print("solution status code: ", m.getProbStatus(), " -->",
       m.getProbStatusString())


print("\n\n")
print("Set presolve to 0")
m.setControl('presolve',0)
m.optimize()
print("solution status code: ", m.getProbStatus(), " -->",
       m.getProbStatusString())
